﻿#Force PS to build a large enough window
$pshost = get-host
$pswindow = $pshost.ui.rawui

$newsize = $pswindow.buffersize
$newsize.height = 3000
$newsize.width = 1500
$pswindow.buffersize = $newsize

$newsize = $pswindow.windowsize
$newsize.height = 50
$newsize.width = 150
$pswindow.windowsize = $newsize


Import-Module dataontap

Write-Output "NOTE: this script will only run properly on systems with Ontapi 1.14 and higher"

$myarray1 = "netapp1a"
$myarray2 = "netapp2"
$myarray3 = "netapp3"
$myarray4 = "netapp4"
$myarray5 = "netapp5"
$myarray6 = "netapp6"
$myarray7 = "netapp7"
$myarray8 = "netapp8"
$myarray9 = "netapp9"
$myarray10 = "netapp10"
$myarray11 = "netapp1a"
$myarray12 = "netapp1b"
$myarray13 = "netapp2a"
$myarray14 = "netapp2b"
$myarray15 = "netapp3a"
$myarray16 = "netapp3b"
$myarray17 = "netapp4a"
$myarray18 = "netapp4b"

$arrays = $myarray1, $myarray2, $myarray3, $myarray4, $myarray5, $myarray6, $myarray7, $myarray8, $myarray9, $myarray10`
, $myarray11, $myarray12, $myarray13, $myarray14, $myarray15, $myarray16, $myarray17, $myarray18

	$user = "root"
	$arraypass = "netapp123"
	$password = ConvertTo-SecureString $arraypass -AsPlainText -Force
	$cred = New-Object -TypeName system.Management.Automation.PSCredential -ArgumentList $user,$password

	$overLag = "86400" # this is 24*60*60 to get the lag in seconds that we want to capture on

	$arrays | foreach-object {$c = Connect-NaController $_ -Credential $cred; Get-Nasnapmirror | Where-Object{$_.LagTime -gt $overLag}  | Select Source,Destination,Status,LagtimeTS| `
	ft @{Expression={$_.Source};Label="Source";Width=60},@{Expression={$_.Destination};Label="Destination";Width=160},@{Expression={$_.status};Label="status";width=20}, `
	@{N='Current Lag Time';E={'{0} days, {1} hrs, {2} mins, {3} secs' -f $_.LagTimeTS.days, $_.LagTimeTS.Hours, $_.LagTimeTS.Minutes, $_.LagTimeTS.Seconds}}}
